GrogBuild Grogbuild FreeRange for all enigma2 boxes

Status
Not open for further replies.

grog68

VIP Member
Forum Supporter
Why do I only get it with grogbuild? I have 6.2 installed from scratch and I dont get the error
can you connect to your box either with putty or load openwebif in browser on computer and click on terminal link on the left and enter the following code and paste the results here?
Code:
cat /etc/enigma2/settings |grep autotimer
Been getting the same issue on openatv 6.3 and box keeps crashing
is that a bare atv 6.3 or grogbuild Freerange on atv 6.3? It's not crashing for me with 6.2 just popping up an error log and not adding to timers.xml

For those that may know what's what, I've just looked at the plugin code and the line that the logs indicates as the one causing the issue is the following:

Code:
# enable multiple timer if services or bouquets specified (eg. recording the same event on sd service and hd service)
        enable_multiple_timer = ((timer.services and 's' in config.plugins.autotimer.enable_multiple_timer.value or False) or (timer.bouquets and 'b' in config.plugins.autotimer.enable_multiple_timer.value or False))
but my settings file does not have a setting for config.plugins.autotimer.enable_multiple_timer
 

grog68

VIP Member
Forum Supporter
I haven't noticed any issues on vix just what was posted on here. Maybe provide log to openatv
That's an issue as it's not crashing my box so no crash logs and it's displaying the above message on screen but nothing in debug logs.

I forgot you was using VIX these days
 

morph1963

Registered
config.epgselection.graph_red=autotimer
config.plugins.autotimer.delay=3
config.plugins.autotimer.editdelay=3
config.plugins.autotimer.interval=240
config.plugins.autotimer.maxdaysinfuture=0
config.plugins.autotimer.popup_timeout=5
config.plugins.autotimer.show_help=false
config.plugins.autotimer.timeout=5

Is this what you should expect @grog68
 

dsayers2014

VIP Member
That's an issue as it's not crashing my box so no crash logs and it's displaying the above message on screen but nothing in debug logs.

I forgot you was using VIX these days
I updated vix yesterday and can cause a crash.

< 24139.678> Traceback (most recent call last): < 24139.679> File "/usr/lib/enigma2/python/mytest.py", line 235, in processDelay < 24139.680> callback(*retval) < 24139.680> File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimerOverview.py", line 317, in menuCallback < 24139.681> File "/usr/lib/enigma2/python/mytest.py", line 330, in open < 24139.681> dlg = self.current_dialog = self.instantiateDialog(screen, *arguments, **kwargs) < 24139.681> File "/usr/lib/enigma2/python/mytest.py", line 267, in instantiateDialog < 24139.681> return self.doInstantiateDialog(screen, arguments, kwargs, self.desktop) < 24139.681> File "/usr/lib/enigma2/python/mytest.py", line 290, in doInstantiateDialog < 24139.682> dlg = screen(self, *arguments, **kwargs) < 24139.682> File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimerSettings.py", line 115, in __init__ < 24139.682> File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimerSettings.py", line 123, in createSetup < 24139.682> File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimerSettings.py", line 46, in getAutoTimerSettingsDefinitions < 24139.682> File "/usr/lib/enigma2/python/Components/config.py", line 1895, in __getattr__ < 24139.683> AttributeError: enable_multiple_timer < 24139.683> [ePyObject] (CallObject(>,()) failed)
This is created by pressing menu, timers, auto timers press menu then setup.
 

grog68

VIP Member
Forum Supporter
config.epgselection.graph_red=autotimer
config.plugins.autotimer.delay=3
config.plugins.autotimer.editdelay=3
config.plugins.autotimer.interval=240
config.plugins.autotimer.maxdaysinfuture=0
config.plugins.autotimer.popup_timeout=5
config.plugins.autotimer.show_help=false
config.plugins.autotimer.timeout=5

Is this what you should expect @grog68
yes thanks, that's similar to mine, I thought something wasn't being set it grogbuild but they are similar to yours so thats not the issue.
I updated vix yesterday and can cause a crash.



This is created by pressing menu, timers, auto timers press menu then setup.
Error looks similar, phew think that shows not a grogbuild issue:) thanks
 

grog68

VIP Member
Forum Supporter
Im glad to see that the autotimer issue has started to gain some traction, thanks for investigating grog68.
I really wish it hadn't lol.

I am thinking of modifying the setup script so once atv is installed it copies the files from autotimer 4.3.1 onto the box replacing the version 4.3.2. the box would still think 4.3.2 is installed so wont update in software updates etc until a new (hopefully fixed) version is released.
 

grog68

VIP Member
Forum Supporter
OK I have updated the Grogbuild Freerange setup script used in post 1 of this thread so that the Autotimer files are replaced with the files from version 4.3.1

I have ran this on my VU+ and the Autotimers screen does indeed show version as 4.3.1, I have set an autotimer up via the epg and it was added to timer list as you would expect without any errors. I can't imagine this effecting anything.

@morph1963 if you want to give grogbuild freerange a try now using the instructions in the first post of this thread then please report back if you have any issues.

Grog
 

morph1963

Registered
I will give it a go, thanks again for looking into this I will feedback when I have installed, cheers mate
@grog68 works perfect thanks for doing this its great to get my grogbuild back!!
 
Last edited:

Ti4MaT

Registered
OK I have updated the Grogbuild Freerange setup script used in post 1 of this thread so that the Autotimer files are replaced with the files from version 4.3.1

I have ran this on my VU+ and the Autotimers screen does indeed show version as 4.3.1, I have set an autotimer up via the epg and it was added to timer list as you would expect without any errors. I can't imagine this effecting anything.

@morph1963 if you want to give grogbuild freerange a try now using the instructions in the first post of this thread then please report back if you have any issues.

Grog
I will give it a try, ill keep you updated
 

paul1952

Registered
So far this build has been tested on the following boxes:

Zgemma H1
Zgemma H2
Zgemma H2H
Zgemma H4
Zgemma H5.2tc
Zgemma H7C & S
Zgemma H9t & S
Vu + Uno 4K
Vu+ Solo SE
vu+ duo2
Edison OS Mini
Miraclebox Hybrid Mini
Formuler F1
Mutant 51
Xtrend et8000 running openvix 5.2

Please let me know if you install on any other box
Does this work with Zgemma H3.2tc Thanks
 

Toddy2

TK Veteran
Forum Supporter
So far this build has been tested on the following boxes:

Zgemma H1
Zgemma H2
Zgemma H2H
Zgemma H4
Zgemma H3.2tc
Zgemma H5.2tc
Zgemma H7C & S
Zgemma H9t & S
Zgemma i55
Vu + Uno 4K
Vu+ Solo SE
vu+ duo2
Edison OS Mini
Edison OS Mini Plus
Miraclebox Hybrid Mini
Formuler F1
Formuler F4 Turbo
Mutant 51
Xtrend et8000 running openvix 5.2
Amiko Viper Combo
TM Nano SE M2 Plus

Please let me know if you install on any other box
Hi, I installed a couple of weeks ago on H7s everything has been good, but now and again when I go to plug ins I get a message (some plugins may not be available add a line and softcam!! and they have disappeared, then the next time I go there they are there, I did have similar issues when it infinity, is there anything that would rectify this?
 

grog68

VIP Member
Forum Supporter
I've had that in the past with MovieOrganisor being the plugin unavalable, but normally, for some reason this has been when I've had no epg data stored on hdd/usb. Once epgimporter has ran it solved the issue. Not sure why
 

pabloescaban

VIP Member
Forum Supporter
it's the same when you flash WB Infinity from openatv6.2, movieorganiser plugin has an error, could be something ATV related?

press green, press green again, wait for list to populate, press exit. 'some plugins not available: movieorganiser plugin (list index out of range)
This is when EPG is stored on flash, not external, this is even after epg fully populated, this has been noticed (by me) on my own box (H2h) also, Amiko Viper Combo, other cable Zgemma boxes, Venton Unibox Eco, Mutant hd51, H7C and a few others.
Not took any notice of it as I've never used that plugin and no one I know has asked about it.
 

acg

Registered
Hi All, Ive installed on my Xtrend ET8500 ATV 6.2 and all looks good however i have noticed that on certain channels (ITV +1 being one of them) i seem to get a narrators voice all the time. How do i stop this? Any help would be great.
 

Toddy2

TK Veteran
Forum Supporter
I've had that in the past with MovieOrganisor being the plugin unavalable, but normally, for some reason this has been when I've had no epg data stored on hdd/usb. Once epgimporter has ran it solved the issue. Not sure why
Hi thanks, I was thinking it could be an issue with the box!! but similar to you it comes back after the epg refresh plug in has run.
 
Status
Not open for further replies.
Top